Debian Bug report logs - #691256
ITP: ruby-zentest -- ZenTest provides 4 different tools: zentest, unit_diff, autotest, and multiruby

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <praveen@debian.org>

Date: Tue, 23 Oct 2012 15:21:02 UTC

Owned by: Praveen Arimbrathodiyil <praveen@debian.org>

Severity: wishlist

Fixed in version ruby-zentest/4.8.2-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#691256; Package wnpp. (Tue, 23 Oct 2012 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <praveen@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Tue, 23 Oct 2012 15:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <praveen@debian.org>
To: submit@bugs.debian.org
Subject: ITP: ruby-zentest -- ZenTest provides 4 different tools: zentest, unit_diff, autotest, and multiruby
Date: Tue, 23 Oct 2012 20:49:16 +0530
package: wnpp
severity: wishlist
owner: Praveen Arimbrathodiyil <praveen@debian.org>

* Upstream Author: Ryan Davis, Eric Hodel
* Homepage: https://github.com/seattlerb/zentest
* License: MIT

ZenTest provides 4 different tools: zentest, unit_diff, autotest, and
multiruby.

zentest scans your target and unit-test code and writes your missing
code based on simple naming rules, enabling XP at a much quicker pace.

It is a build dependency for rspec-rails, which is in turn a build
dependency for diaspora.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added indication that bug 691256 blocks 676402 Request was from Praveen A <praveen@debian.org> to control@bugs.debian.org. (Tue, 23 Oct 2012 15:27:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 19:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#691256; Package wnpp. (Sat, 27 Oct 2012 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Sat, 27 Oct 2012 09:27:03 GMT) Full text and rfc822 format available.

Message #14 received at 691256@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 691256@bugs.debian.org
Subject: sent man pages upstream
Date: Sat, 27 Oct 2012 14:53:55 +0530
here https://github.com/seattlerb/zentest/issues/25
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Wed, 14 Nov 2012 23:03:50 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <praveen@debian.org>:
Bug acknowledged by developer. (Wed, 14 Nov 2012 23:03:50 GMT) Full text and rfc822 format available.

Message #19 received at 691256-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 691256-close@bugs.debian.org
Subject: Bug#691256: fixed in ruby-zentest 4.8.2-1
Date: Wed, 14 Nov 2012 23:00:13 +0000
Source: ruby-zentest
Source-Version: 4.8.2-1

We believe that the bug you reported is fixed in the latest version of
ruby-zentest, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691256@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated ruby-zentest package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 23 Oct 2012 20:39:27 +0530
Source: ruby-zentest
Binary: ruby-zentest
Architecture: source all
Version: 4.8.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 ruby-zentest - ZenTest provides 4 different tools: zentest, unit_diff, autotest,
Closes: 691256
Changes: 
 ruby-zentest (4.8.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #691256)
   * Thanks to PJP for his help
     - he helped make pod2man run in a loop in debian/rules
Checksums-Sha1: 
 c909ba1de3e49b82e31116b5006f60ba93e3c6e0 2074 ruby-zentest_4.8.2-1.dsc
 039719c4dfdefd4cd63c4f24589c9c93cede8fb1 64932 ruby-zentest_4.8.2.orig.tar.gz
 7b24dcd7cb99993d8f361751e7d65e323b2c339c 3672 ruby-zentest_4.8.2-1.debian.tar.gz
 6d3e6e77e892409d27bbc2e74525781bc5d077a7 56526 ruby-zentest_4.8.2-1_all.deb
Checksums-Sha256: 
 21b60af3fe6cc3e46a4184921531949495e3736de775945ef141866f52aea237 2074 ruby-zentest_4.8.2-1.dsc
 39acd162e0934e0bdebcf25deda07234da3e64483fd263d69d2871a91bb4c25c 64932 ruby-zentest_4.8.2.orig.tar.gz
 53249a5a895ac9f281e6a340ddccb14f1af39124c3cd25a33aaa4ac116be64f6 3672 ruby-zentest_4.8.2-1.debian.tar.gz
 6cce3591751bd4eaea7430963da9e0c709facdbc9d933259d85d74590c2f1545 56526 ruby-zentest_4.8.2-1_all.deb
Files: 
 d79c7fa6f44b5bdafb8708fde8670b78 2074 ruby optional ruby-zentest_4.8.2-1.dsc
 6740007b7db804ed53c1e03a3a4dfd0b 64932 ruby optional ruby-zentest_4.8.2.orig.tar.gz
 8fb6ff85b2403c19c100f93ec790ec9c 3672 ruby optional ruby-zentest_4.8.2-1.debian.tar.gz
 76016fac24b21410348bc8855db2c5cf 56526 ruby optional ruby-zentest_4.8.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQiWz5AAoJEM4fnGdFEsIqnUUQAKiZxyws0EVkzxYUZ14pM2Fm
/56tCGsCJl+i09MQv/Qv6H3rJ2GIB3lDFNnfzvDcOvM11S2LSrYL3Yos0jJ9+QAu
abXj2br+RHcfNOW1sTs6nkabo1B9eYTYLHQ1Qgu5JsO+Zb8bwmNBlN89AtsZy11J
Tvq8HWo1H2yl6PzIfTqMeLIRVtk8IFA1lHkRk2q2rN4KztKuQ0LJA779ARU05UvT
4qZsE6eO7plbEl70FuuK/ojSBdlBm5358qQNsndcAZXz46wD2vV6ciuIy5kLvCaF
hAt7Fw2t4FAgfCG04y3R7xwh2SF+fs67LzmX5Ns6i838g7GSGc6NkNv7ZoEAUCj1
cVNG06R5qw9nRCEXWkLVaWedRP3+bN3jUdI99h5xgAP5NBCqbXmq5T1FwrnIdIXc
ECD8yOMWJc01WZT67yw/NjYj3cdCbAHBCSnXd/huul2omx7EOTrDJsTz1SG1XwWc
TznJpVKbyqUhFCut3S/lJPJqDnoooH1VRvd9kO5abBCqseo9EjVMFnRwXPDfpBCN
Jfnl8hzo2R7/a4CyDOBYo5t6zNSn67+jdasAP3HHXlemREhfg2+8pE7Nco/Eqv6/
lHPjf/tQbBUq6yz2u129/t7tqjledrPZHffdtR3Cr10C0vUXNRwnbB0lqdAdAfT8
7zj/4WjEqBlVVEqXmBqA
=X6w/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Dec 2012 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:41:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.